PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
instalacja pld - chrinst - braki i konflikty
Autor Wiadomość
shocker 

Distro: PLD 3.0
Dołączył: 28 Wrz 2011
Posty: 3
Wysłany: 7 Luty 2012, 17:44   instalacja pld - chrinst - braki i konflikty

2 Miesiące temu normalnie instalowałem PLD 3 TH za pomocą narzędzia ChrInst, dzisiaj chcę postawić kolejny serwer na PLD i jest problem, bo chyba za bardzo pozmieniały się pakiety i zależności...

Najpierw wyskoczył błąd, że w ogóle nie ma pakietu hwinfo, więc wywaliłem go ręcznie z listy chrinst/lib/psets/base, myśląc, że to problem rozwiąże, to niestety teraz pojawił się błąd którego już sam nie jestem w stanie sam naprawić:

Cytat:
error: upstart-1.3-4: conflicts with SysVinit-2.88-6
error: upstart-1.3-4: conflicts with upstart-SysVinit-2.86-28
error: upstart-SysVinit-2.86-28: conflicts with SysVinit-2.88-6
error: SysVinit-tools-2.88-6: conflicts with upstart-SysVinit-2.86-28
4 conflicts found
error: Buggy package set
Error: Operation failed!


Czy ktoś może zaktualizować konfilkty/pakiety w poldku, bądź też samo narzędzie chrinst? Czy może gdzie indziej popełniam błąd? Jest jakieś inne narzędzie proste jak chrinst, które pozwoli mi zainstalować PLD wraz głównymi narzędziami serwerowymi? Zależy mi na czasie, mam nadzieję, że ktoś szybko odpowie :(
 
 
 
Pawel Jaworski 

Dołączył: 07 Lut 2012
Posty: 4
Wysłany: 14 Luty 2012, 12:20   

Dołączam się do prośby, mi ten skrypt też nie działa poprawnie.
 
 
 
shocker 

Distro: PLD 3.0
Dołączył: 28 Wrz 2011
Posty: 3
Wysłany: 15 Luty 2012, 21:58   

Dobra, poradziłem sobie z instalacją za pomocą chroota, ale nie obyło się bez problemów:
np. na samym początku poldek sypał błędami typu:
Kod:
error: cannot open Packages index using db3 - No such file or directory (2)

pomogło --rebuilddb, potem postawienie macierzy RAID1 za pomocą poradników, na końcu skonfigurowałem grub2 (z pomocą pewnego bloga tutejszego użytkownika forum ;) ) i system wstał, baa... nawet ma się dobrze i już sobie służy jako serwerek.

Nie dało mi jednak spokoju dlaczego chrinst się sypie, dlatego spróbowałem jeszcze raz pogrzebać w konfiguracjach paczek w katalogu /lib/psets/minimal i zamieniłem paczkę upstart-SysVinit najpierw na samo SysVinit a potem na samo upstart. Okazało się, że w obu przypadkach nagle wszystko działa i się instaluje prawie do końca... W końcowej fazie po poprawnej instalacji grub2 pojawia się o to piękny błąd przy nadawaniu hasła przez passwd:
Kod:
authentication token manipulation error
No i niestety instalacja kończy się niepowodzeniem...
Widzę, że autor programu chrinst czasem tu zagląda, być może zlituje się i pomoże w identyfikacji problemów... Pozdrawiam :)
 
 
 
qwiat 

Distro: PLD 2.0;3.0
Pomógł: 23 razy
Dołączył: 11 Lut 2006
Posty: 367
Wysłany: 18 Luty 2012, 15:54   

Ten problem z listami paczek jest już dawno poprawiony w becie nad którą dlubię ostanio. Nie wydaję jednak nowej wersjibo cigle jest problem ze zjebanym od bardzo dawna RPM-em w PLD: https://bugs.launchpad.net/pld-linux/+bug/574002

Na razie pracuję nad kolejnym obejściem tego. Po raz n-ty.
 
 
marcing 

Distro: PLD 1.0;2.0;3.0
Pomógł: 1 raz
Dołączył: 21 Lis 2005
Posty: 174
Skąd: Gdańsk
Wysłany: 11 Lipiec 2012, 18:48   

Mam w sumie taką zasadę, że jak coś działa to nie ruszam. I ta zasada sprawdza mi się. Ostatnio coraz mniej grzebie w PLD ze względu właśnie jak poniżej napiszę, przy takiej stabilności i problemach... wracając do tematu, jednak ostatnim rzutem na taśmę chciałem ostatnie moje serwery zaktualizować. Na szczęście druga moja zasada to testować na kopiach. I tak...

Jakiekolwiek próby aktualizacji kończą się konfliktami pakietów, głównie z pakietem poldek... idąc dalej w testach spróbowałem zainstalować z chrinst, i prawie dokładnie to samo.

...
vim-7.3.600-1 marks vim-rt-7.3.600-1 (cap vim-rt = 4:7.3.600-1)
vim-rt-7.3.600-1 marks vim-plugin-securemodelines-20080424-2 (cap vim-plugin-securemodelines)
No unsatisfied dependencies found
error: upstart-1.3-8: conflicts with SysVinit-2.88-7
error: upstart-1.3-8: conflicts with upstart-SysVinit-2.86-28
error: upstart-SysVinit-2.86-28: conflicts with SysVinit-2.88-7
error: SysVinit-tools-2.88-7: conflicts with upstart-SysVinit-2.86-28
error: SysVinit-2.88-7: conflicts with upstart-1.3-8
5 conflicts found
error: Buggy package set
Error: Operation failed!
There may be still filesystem in use. Try ./batch_install --umount


Jest jakaś szansa żeby coś się zmieniło, czy czas uczyć się Debiana... ?
 
 
 
kiesiu
[Usunięty]

Wysłany: 13 Lipiec 2012, 16:58   

Co Ty instalujesz - upstart czy SysVinit? I co tak naprawdę masz już tam zainstalowane?
Niestety z tego fragmentu trudno mi odgadnąć, czy to zły zetaw pakietów czy błąd w zależnościach...
 
 
marcing 

Distro: PLD 1.0;2.0;3.0
Pomógł: 1 raz
Dołączył: 21 Lis 2005
Posty: 174
Skąd: Gdańsk
Wysłany: 13 Lipiec 2012, 17:55   

To jest końcówka z logu skryptu z Chrinst, tam nie ma nic, świeża instalacja. Nawet jak pozmieniam w skrypcie, że jakimś cudem przejdzie, to i tak się wykłada na końcu. Robione najnowszym ChrInst. Podobne cuda dzieją się przy upgrejdach czy instalacjach nowych pakietów, większość wywala konflikt z bibliotekami i pakietem poldek... Tak więc nie mogę dograć potrzebnych pakietów... I nie wiem czy szybciej coś się w PLD zmieni czy postawie sobie Debiana...

Musze pare rzeczy zaktualizować, jeśli dystrybucja jest na tyle skopana, że to jest niemożliwe i nie wiadomo kiedy i czy w ogóle będzie, to mimo całego mojego szacunku i uznania dla Twórców PLD, trwanie przy tej dystrybucji pozbawione jest sensu...

Być może są magiczne sposoby na zmuszenie, obejście problemu, jego łatanie czy cudomagiczne uzdrawianie... tylko jeśli podstawowe czynności utrzymaniowe są tak skomplikowane, jeśli podstawowa instalacja bez magii nie może się udać, to co będzie przy bardziej szczegółowych problemach z jakimiś usługami??

Jedyne co powstrzymuje mnie przed totalną zmianą dystrybucji, to to, że będzie mnie dużo pracy kosztowało przeflancowanie wszystkiego co mam na nową maszynę. I mam dylemat, czy czas i pracę poświęcić na walczenie z nierozwiązywalnym w PLD, czy w zagłębienie się i dobre poznanie innej dystrybucji. Po 10 latach z PLD mam jeszcze sentyment, ale przy takim suporcie ( za który i tak chylę czoło przed Twórcami PLD) dalsze trwanie stoi pod znakiem zapytania.

W innym wątku jest tekst, że PLD umarło, na co jest odpowiedź, że żyje bo są jego Twórcy... zastanawiam się, komu przyznać rację.

Sorki za OT, ale ciągle mam nadzieję że coś się w PLD zmieni :)
 
 
 
kiesiu
[Usunięty]

Wysłany: 13 Lipiec 2012, 18:47   

Wątpie, że qwiat jeszcze chrinst rozwija, ale na szybko ten problem powinnna rozwiązać zmiana w chrinst/lib/psets/minimal
Kod:
upstart-SysVinit

na
Kod:
SysVinit

Powodzenia :)
 
 
marcing 

Distro: PLD 1.0;2.0;3.0
Pomógł: 1 raz
Dołączył: 21 Lis 2005
Posty: 174
Skąd: Gdańsk
Wysłany: 13 Lipiec 2012, 20:07   

kiesiu napisał/a:
Wątpie, że qwiat jeszcze chrinst rozwija


A ktokolwiek cokolwiek rozwija?

a poważnie, zrobiłem tak i oto efekt:


===================================================
..............................done
Installing reiserfsprogs-3.6.21-1.i686.rpm...
Installing #131 package of total 131 (742.7K left to get)
Retrieving ftp://ftp.th.pld-linux.or...5-1.i686.rpm...
..............................done
Installing vim-7.3.515-1.i686.rpm...
Done, 131 packages were installed.
Rebuilding RPM database...

::::: Configuring new system :::::
Copying network configuration
Setting network...
Hostadapter module(s): ahci ata_piix
Creating /etc/fstab file...
./batch_install: line 312: echo: write error: Invalid argument
./batch_install: line 312: echo: write error: Invalid argument
Binding filesystems: /proc /sys /dev
Preparing initrd image...
Installing GRUB2 bootloader: /dev/sda
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.3.7-1
Found initrd image: /boot/initrd-3.3.7-1.gz
done
Installing GRUB2 on /dev/sda
/sbin/grub-setup: warn: This msdos-style partition label has no post-MBR gap; embedding won't be possible!.
/sbin/grub-setup: warn: Embedding is not possible. GRUB can only be installed in this setup by using blocklists. However, blocklists are UNRELIABLE and their use is discouraged..
Installation finished. No error reported.
Setting password for root
passwd: Authentication token manipulation error
Error: Operation failed!
There may be still filesystem in use. Try ./batch_install --umount

=============================================================

Jakiś problem z konsolą, chroot-ować się też nie da....... ?
 
 
 
qwiat 

Distro: PLD 2.0;3.0
Pomógł: 23 razy
Dołączył: 11 Lut 2006
Posty: 367
Wysłany: 15 Sierpień 2012, 20:57   

Z przykrością informuję, że bezterminowo zawiesiłem jakiekolwiek prace nad projektami związanymi z PLD czyli Chrinst i LiveTh. Nie widzę przeszkód żeby koś wziął je pod swoje skrzydła.
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group